/* $Id: hstream.h,v 1.4 2002/02/20 11:16:58 aa5779 Exp $ */
#ifndef HSTREAM_H
#define HSTREAM_H

#include "interp.h"
#include "util.h"
#include "dstring.h"
#include "bstream.h"

typedef struct html_stream
{
	basic_stream basic;
	unsigned is_7bit : 1;
	unsigned pack_spaces : 1;
	unsigned allow_tags : 1;
	unsigned upper_case : 1;
	html_chunk current;
} html_stream;

stream *hs_open(interpreter *i, char *name, char *fname, int writeable);
void hs_close(interpreter *i, stream *s);
html_chunk *hs_read(interpreter *i, stream *s);
void hs_writestr(interpreter *i, stream *s, char *str);
void hs_writetag(interpreter *i, stream *s, html_chunk *ch);
char *hs_ioctl(interpreter *i, stream *s, char *ctlstr);

#ifndef HSTREAM_IMP
extern stream_class html_stream_class;
#endif

#endif

